Title:	Advanced Preference Pane  
CSS:	../Style/default.css  
AppleTitle:	MultiMarkdown Composer Help
AppleIcon:	Images/ComposerIcon.png
Description:	Guide to the "Advanced" preference pane.

<a name="advancedPrefs"></a>

# ![Icon](../Images/ComposerIcon.png) Advanced Preferences #

The "Advanced" preference pane allows you to configure certain features of MultiMarkdown Composer's behavior. 

"Custom HTML export" --- you can specify a shell command to be used when exporting to HTML (either when copying HTML to the clipboard, or when exporting to an HTML file).  This is *not* used by the preview pane, or when exporting to a PDF directly from Composer (since the preview pane is used for this functionality).  **Note** --- MultiMarkdown Software, LLC cannot provide support to help you get your particular shell commands working properly.  If there seems to be a problem with Composer's ability to interact with the shell, we can certainly look into it and fix any bugs present.  However, this can be an extremely powerful and complex feature given the diversity of shell commands and programs available.  Also, because [Marked](http://markedapp.com) doesn't provide a "live" preview feature, it is able to use custom shell commands for the actual preview onscreen.  If you use these custom workflows frequently, the Composer/Marked combination may suit your needs perfectly.

"Include Preview CSS when exporting to HTML" --- automatically use the CSS styling applied to the preview from the Style Sheet when exporting an HTML document.

"Move focus to Reference HUD on activation" and "Move focus to TOC HUD on activation" --- these settings are meant to be used by those who like to toggle the HUDs on for use and then off when finished with them.  For example, you could toggle the TOC HUD on, and immediately use the keyboard to move up and down the TOC, type in the search box, or tab back and forth between the two.  Closing the HUD will return focus back to the editing window.  If these features are disabled, you can continue to type in the editing window when you toggle the HUDs, and would have to use the mouse to interact with the HUDs.

"Expand TOC outline when switching document" --- Whenever you change windows, fully expand the Table of Contents.

"Strip labels from headers in TOC outline" --- Don't show custom labels for headers in the TOC outline.

"Keep TOC outline expanded" --- Keep the TOC outline expanded at all times.

"Move focus to Change HUD on activation" --- same as above for the other two HUDs.

"Automatically Link to MathJax CDN" --- if you use the MathJax functionality, this will automatically link to MathJax for the preview pane so you don't have to.

"Preview Delay" --- specify a minimum delay before Composer attempts to update the preview.  Most of the time this can remain at "0", but some documents may work better with a small delay configured.
