Title:	Appearance Preference Pane  
CSS:	../Style/default.css  
AppleTitle:	MultiMarkdown Composer Help
AppleIcon:	Images/ComposerIcon.png
Description:	Guide to the "Appearance" preference pane.

<a name="appearancePrefs"></a>

# ![Icon](../Images/ComposerIcon.png) Appearance Preferences #

The "Appearance" preference pane allows you to configure settings related to the appearance of your editing window.

**NOTE** --- some of these settings can also be configured within various [Style Themes])(styles.html).  In that case, the setting specified in the theme will take precedence and the preference will be ignored.

"Style Sheet" --- which style sheet should be applied.

"Open Styles Folder" --- open the Styles folder in the Finder.  Local copies of your styles are stored in this folder.  You can edit these files with any other text editor (but not Composer since it will try to install the file instead of editing it.)

"Reset Styles" --- delete copies of the built-in style sheets that are in your user's library directory so that they can be replaced with new copies.  This will erase any customizations you may have made.  It will not affect custom themes that do are not built-in to the app.  Always backup any files that are important to you.

"Default Zoom %" --- what zoom level should be used when opening a new window.

All of the following settings can be overridden by Style Sheets.

"Default Font" --- Which font and size should be used by default.

"Text Alignment" --- Specify whether the default text alignment for your system should be overridden.

"Maximum Full Screen Width" --- Specify the maximum width of the editing area in full screen mode, regardless of how large the display resolution is.  Useful if you don't want the editor taking up the full width.  Specify a really large number to ensure that your window takes up the full screen even on a large display.

"Left/Right padding around text" --- How much padding (at a minimum) should be used on the sides of the text in the editing view.  If your text does not use the full width of your window (for example, if you specify a maximum line length), there may be more than this.    Also, a separate value can be specified in Style Sheets to be used if you are using Auto Zoom mode.

"Top/Bottom padding around text" --- How much padding should be used above and below your text.  If you use typewriter mode, then the padding will instead be set to one half the height of your window to allow for proper scrolling.

"Line Height" --- how much space should be used between lines of text (e.g. single spacing, double spacing, etc.)  1 is the default (100%).  2 would be 200%, and so on.

"Maximum Line Length" --- Specify the maximum line length in characters.  For example, some people like to have lines automatically wrapped at a certain width to avoid the difficulty of reading long lines of text.  Even if you use a small font, and a big window, the lines will not be longer than the specified width.  Specify a maximum of 0 to disable this feature.

**NOTE** --- some of these measurements interact with each other.  If you specify a maximum line length that is smaller than the available window space, you may end up with more padding than specified because you don't need all of the available space.  The same can be seen when zooming out to a large degree.  When there is more space than necessary, Composer divides the space evenly between the left and right side.

The combination of configuring line length, padding, and the ability to zoom gives you an incredible amount of control over ensuring that your documents are easy to read and edit.  Experiment to find the settings that best suit your needs.