Title:	Editing Preference Pane  
CSS:	../Style/default.css  
AppleTitle:	MultiMarkdown Composer Help
AppleIcon:	Images/ComposerIcon.png
Description:	Guide to the "Editing" preference pane.

<a name="editingPrefs"></a>

# ![Icon](../Images/ComposerIcon.png) Editing Preferences #

The "Editing" preference pane allows you to change Composer's behavior while you type.  Most of these are fairly self-explanatory if you're familiar with the MultiMarkdown syntax, but some make more sense after you try them out.

"Enable Smart Pairs" --- When turned on, Composer will automatically "close" a pair of characters when you open it.  For example, typing "[" will also insert "]" and move the cursor between the characters so you can keep typing.  When you get to the end, you can type "]" to simply "type over" the existing bracket, or use the cursor keys or mouse to reposition wherever you need to be.  You can configure which character pairs go together in the "Smart Pairs" field.

"'Type over' periods" --- When editing, it's common to end up at the end of a pre-existing sentence that already has a period (".").  Instead of having to move around it, simply type over the existing period with a new one, and the insertion point will be moved after the period. 

The next settings configure what happens when you hit "return" or "enter".

"Append '#' to end of headings" --- automatically "close" headings with the proper number of hash tags, e.g.  "### This is a header" becomes "### This is a header ###".

"Also apply 'Title Case' capitalization" --- automatically capitalize your headers when you hit return.  This generally follows proper rules for capitalization in English, but don't blame me if your English professor disagrees.  With this functionality, "### this is a title ###" becomes "### This Is a Title ###".

"Automatically format next list item" --- when typing a list, copy the current item's list marker and spacing to prepare the next line.  Hit return again to end the list instead.

"Skip line between list items" --- use this if you like to double space your lists.

"Duplicate current line spacing" --- when typing a list, copy the spacing before the current item.  If you're in a double-spaced list, then double space the next item.  If it's a single-spaced list, then single space the next one.

"Automatically insert '>' in blockquotes" --- configure whether to prepare the next line to be another blockquote line with the leading ">" characters.  Hit return again to end the block quote.

"Automatically indent new lines in verbatim" --- when typing in a verbatim (or code) block, copy the leading space to the next line.  Hit return again to end the verbatim block.

"Automatically format next line in tables" --- When you start typing a table (i.e the line starts with '|'), you can always hit "tab" to create the next table cell.  With this option, you can hit enter after the first line and automatically generate the "divider" line.  Each line after that will copy the leading formatting (i.e. begin each line with '|' if that is how your table is configured).

"Continuous spell check" --- Should OS X automatically check spelling while you type?

"Correct spelling automatically" --- Should OS X automatically correct spelling mistakes?
