Title:	General Preference Pane  
CSS:	../Style/default.css  
AppleTitle:	MultiMarkdown Composer Help
AppleIcon:	Images/ComposerIcon.png
Description:	Guide to the "General" preference pane.

<a name="generalPrefs"></a>

# ![Icon](../Images/ComposerIcon.png) General Preferences #


The "General" preference pane allows you to configure general behavior for MultiMarkdown Composer.

"Enable Auto Save" --- Enable the auto-save functionality introduced in Lion.  With this turned on, the Mac system automatically handles saving changes to your files (aka "Versions") periodically.  This also remembers which documents were open when you last used the application and automatically restores them.

"Use elastic tabstops" ---- [Elastic tabstops](http://nickgravgaard.com/elastictabstops/) are the greatest thing since sliced bread.  Well, maybe not quite, but it is still a solid idea.  Rather than assigning tabstops to a fixed distance (e.g. every 0.5 inches), the software treats tab characters as column markers.  The tabstops are positioned such that they allow enough space for everythingto fit.  This means that your metadata, tables, and anything else are all automatically aligned.  If only every other editor would implement these....

"Make links clickable" --- Allow you to click on URLs in your text and launch the appropriate application to visit that link (e.g. web sites, etc.)

"Modifier Key to activate 'synchronized scrolling'" --- Which key should you hold down when you want to have the editor and preview scroll together?

"Focus Mask Height" --- Adjust how much of the editing pane is masked in [Focus Mode](focus.html)

"Ask for permission to access local image, CSS, and BibTeX files" --- when the app is sandboxed, automatically detect when there are files referenced by a document that Composer needs your permission to read.

"Check for announcements at launch" --- check for any important updates when Composer is launched, such as new version releases, critical bug announcements, etc.  If there is an announcement, your browser will be opened to the appropriate page.
