Title:	Sandboxing Information  
CSS:	../Style/default.css  
AppleTitle:	MultiMarkdown Composer Help
AppleIcon:	Images/ComposerIcon.png
Description:	Applications sold through the Mac App Store are required to be sandboxed.

<a name="sandboxing"></a>

# ![Icon](../Images/ComposerIcon.png) Sandboxing Information #

Applications sold through the Mac App Store are required to be sandboxed.  This is a means to help ensure that applications only have the minimum permissions required to accomplish the tasks the user designates.  The problem with this is that it can vastly limit the functionality of certain applications.

For example, MultiMarkdown Composer users frequently want to see a preview of how their document will look when rendered as HTML.  These HTML files will often include images, links to CSS files, etc.  If these files are specified as URLs from the internet (e.g. "http://example.com/image.png"), everything will work just fine.  If the links are specified as local URLS (e.g. "../images/image.png"), the sandbox permissions will not allow Composer to open that file, since the user did not specifically grant permission.

Composer can be used to open image files, which would then enable access permission when used in a preview.  But this can be a frustrating experience to remember to open each and every image each time you launch the applications.

Because of these limitations, you can download a version of MultiMarkdown Composer that has been compiled without sandboxing.  You are still required to purchase Composer through the Mac App Store, but your license will be recognized by the alternate version as well.  The download is available from the MultiMarkdown [web site](http://multimarkdown.com/).

Features that are blocked by sandboxing:

* display of images and other files in the [web preview](preview.html)
* reading BibTeX files to show the citation keys in the [References HUD](reference.html)
* [mmd_merge](merge.html) is not compatible with sandboxing